NYTPROFCSV(1p)

NAME
nytprofcsv - (DEPRECATED) Devel::NYTProf::Reader CSV format implementation

SYNOPSIS
 $ nytprofcsv [-h] [-d] [-o <output directory>] [-f <input file>]

 perl -d:NYTProf some_perl_app.pl
 nytprofcsv
 Generating CSV Output...

NOTE
nytprofcsv is deprecated and will be removed in a future release.

DESCRIPTION
"nytprofcsv" is a script that implements Devel::NYTProf::Reader to create comma-separated value formatted reports from Devel::NYTProf databases.

See the Devel::NYTProf Perl code profiler for more information.

COMMAND-LINE OPTIONS
These are the command line options understood by "nytprofcsv"

-f, --file <filename>
    Specifies the location of the input file. The input file must be the output of fprofpp. Default: nytprof.out

-o, --out <dir>
    Where to place the generated report. Default: ./nytprof/

-d, --delete
    Purge any existing database located at whatever -o (above) is set to

-h, --help
    Print the help message

SAMPLE OUTPUT
 # Profile data generated by Devel::NYTProf::Reader v.0.01
 # Format: time,calls,time/call,code
 0,0,0,#--------------------------------------------------------------------
 0,0,0,# My New Source File!
 0,0,0,#--------------------------------------------------------------------
 0,0,0,
 0,0,0,package NYT::Feeds::Util;
 0.00047,3,0.000156666666666667,use Date::Calc qw(Add_Delta_DHMS);
 0.00360,3,0.0012,use HTML::Entities;
 0.00212,3,0.000706666666666667,use Encode;
 0.00248,3,0.000826666666666667,use utf8;
 0.00468,3,0.00156,use strict;
 0,0,0,
 0.00000,1,0,require Exporter;
 ... that's enough, get the picture? ...

Note: The format line indicates what fields the numbers correspond to

Note2: If the source file is modified between profiling and report generation, the source might be misaligned

SEE ALSO
Mailing list and discussion at <http://groups.google.com/group/develnytprof-dev>

Public Github Repository and hacking instructions at <https://github.com/timbunce/devel-nytprof/>

Devel::NYTProf Devel::NYTProf::Reader nytprofhtml is an HTML implementation of Devel::NYTProf::Reader

AUTHOR
Adam Kaplan, akaplan at nytimes dotcom

COPYRIGHT AND LICENSE
This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.